## kde-runtime 4.8.4

=== CMakeLists.txt ===
project(KDEBASE_RUNTIME)

# where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules ${CMAKE_MODULE_PATH})

if(WINCE)
    #Needs to be set because otherwise he wouldn't find kde parts
    set(KDE4_DATA_DIR "${CMAKE_PREFIX_PATH}/share/apps")
    add_definitions(-DKDELIBS_STATIC_LIBS)
endif(WINCE)

#search packages used by KDE
set(KDE_MIN_VERSION "4.7.97")  # for the < 4.2 macro
find_package(KDE4 4.8.4 REQUIRED)
if (WIN32)
    find_package(Strigi)
else ()
    find_package(Strigi REQUIRED)
endif ()

include(KDE4Defaults)
include(MacroLibrary)
include(CheckFunctionExists)
include(CheckIncludeFiles)

set(SOPRANO_MIN_VERSION "2.6.50")
set(SDO_MIN_VERSION "0.6.50")
macro_optional_find_package(SharedDesktopOntologies ${SDO_MIN_VERSION})
macro_optional_find_package(Nepomuk)
macro_log_feature(SHAREDDESKTOPONTOLOGIES_FOUND "Shared desktop ontologies" "Desktop ontologies" "http://oscaf.sourceforge.net" FALSE ${SDO_MIN_VERSION} "Ontologies necessary for the Nepomuk semantic desktop.")
macro_log_feature(Nepomuk_FOUND "Nepomuk" "Nepomuk Libraries" "kdelibs" FALSE "" "Required to build Nepomuk.")
macro_log_feature(SOPRANO_PLUGIN_VIRTUOSOBACKEND_FOUND "Soprano Virtuoso Backend" "Virtuoso storage backend for Soprano" "http://soprano.sourceforge.net" FALSE "" "The Soprano Virtuoso backend is required to run the Nepomuk semantic desktop system.")
macro_log_feature(SOPRANO_PLUGIN_RAPTORPARSER_FOUND "Soprano Raptor Parser" "RDF parser plugin for Soprano" "http://soprano.sourceforge.net" FALSE "" "The Soprano raptor parser plugin is required to build the Nepomuk semantic desktop system.")
macro_log_feature(SOPRANO_PLUGIN_REDLANDBACKEND_FOUND "Soprano Redland Backend" "Redland storage backend for Soprano" "http://soprano.sourceforge.net" FALSE "" "The Soprano redland backend is required to build the Nepomuk semantic desktop system.")

macro_optional_find_package(SLP)
macro_log_feature( SLP_FOUND
  "OpenSLP" "SLP (Service Location Protocol) implementation" "http://www.openslp.org/" FALSE
  "" "Provides SLP support in the network:/ kioslave."
)

set(LIBATTICA_MIN_VERSION "0.1.4")
find_package(LibAttica)
macro_log_feature(LIBATTICA_FOUND "libattica" "A library to access Open Collaboration Service providers" "http://websvn.kde.org/trunk/kdesupport/attica/" TRUE "" "Required for Get Hot New Stuff."
)

macro_optional_find_package(QCA2)
macro_log_feature(QCA2_FOUND "QCA2" "Support for remote plasma widgets" "http://delta.affinix.com/qca" FALSE "2.0.0" "")

check_include_files(sys/wait.h HAVE_SYS_WAIT_H)
check_include_files(sys/time.h HAVE_SYS_TIME_H)

configure_file (config-runtime.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-runtime.h )

add_definitions (${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)

include_directories (${CMAKE_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR} ${KDE4_INCLUDES})

# Build infrastructure
add_subdirectory(cmake)

add_definitions(-DDISABLE_NEPOMUK_LEGACY)

# Background processes
add_subdirectory(kpasswdserver)
add_subdirectory(kdontchangethehostname)
add_subdirectory(kglobalaccel)
add_subdirectory(knotify)
add_subdirectory(ktimezoned)

if(NOT WINCE)
add_subdirectory(kuiserver)
endif(NOT WINCE)
add_subdirectory(kwalletd)

if ( UNIX )
   add_subdirectory(soliduiserver)
   add_subdirectory(solidautoeject)
   add_subdirectory(solid-device-automounter)
   add_subdirectory(solid-networkstatus)
endif ( UNIX )

if(SHAREDDESKTOPONTOLOGIES_FOUND AND Nepomuk_FOUND AND STRIGI_STRIGIQTDBUSCLIENT_LIBRARY AND SOPRANO_PLUGIN_REDLANDBACKEND_FOUND AND SOPRANO_PLUGIN_VIRTUOSOBACKEND_FOUND AND SOPRANO_PLUGIN_RAPTORPARSER_FOUND)
  macro_optional_add_subdirectory(nepomuk)
endif(SHAREDDESKTOPONTOLOGIES_FOUND AND Nepomuk_FOUND AND STRIGI_STRIGIQTDBUSCLIENT_LIBRARY AND SOPRANO_PLUGIN_REDLANDBACKEND_FOUND AND SOPRANO_PLUGIN_VIRTUOSOBACKEND_FOUND AND SOPRANO_PLUGIN_RAPTORPARSER_FOUND)

# Plugins/components required for basic utility
if ( NOT WINCE )
    add_subdirectory(kcontrol)
endif ( NOT WINCE )
add_subdirectory(kioslave)
add_subdirectory(kurifilter-plugins)
add_subdirectory(phonon)
macro_optional_add_subdirectory(renamedlgplugins)

# UI Helper applications
add_subdirectory(drkonqi)
add_subdirectory(kcmshell)
add_subdirectory(kdebugdialog)
if ( ${QT_QT3SUPPORT_FOUND} )
   add_subdirectory(khelpcenter)
endif ( ${QT_QT3SUPPORT_FOUND} )
add_subdirectory(knetattach)
add_subdirectory(knewstuff)
macro_optional_add_subdirectory(keditfiletype)
if ( UNIX )
   add_subdirectory(kdesu)
endif ( UNIX )

# Command-line tools (e.g. for shell scripts)
if ( UNIX )
   add_subdirectory(kdeeject)
endif ( UNIX )
add_subdirectory(kfile)
add_subdirectory(kiconfinder)
add_subdirectory(kioclient)
add_subdirectory(kioexec)
add_subdirectory(ktraderclient)
add_subdirectory(kreadconfig)
add_subdirectory(kmimetypefinder)
if (Q_WS_X11)
  add_subdirectory(kstart)
endif (Q_WS_X11)
add_subdirectory(kquitapp)
add_subdirectory(menu)
if ( NOT WINCE )
    add_subdirectory(plasma)
endif ( NOT WINCE )
add_subdirectory(solid-hardware)

# Platform-specific integration
add_subdirectory(platforms)

# Default settings, content and config
add_subdirectory(l10n)
add_subdirectory(localization)
if(NOT WINCE)
  add_subdirectory(kde-menu)
macro_optional_add_subdirectory(doc)
endif(NOT WINCE)

# Artwork
add_subdirectory(desktoptheme)
if ( NOT WINCE )
  add_subdirectory(pics)
endif ( NOT WINCE )

# KDE integration for attica
if(LIBATTICA_FOUND)
  macro_optional_add_subdirectory(attica)
endif(LIBATTICA_FOUND)

if(CMAKE_SOURCE_DIR STREQUAL "${CMAKE_CURRENT_SOURCE_DIR}")
  macro_display_feature_log()
endif(CMAKE_SOURCE_DIR STREQUAL "${CMAKE_CURRENT_SOURCE_DIR}")

########### install files ###############
install(PROGRAMS ${CMAKE_CURRENT_SOURCE_DIR}/kde4 DESTINATION ${BIN_INSTALL_DIR})

=== debian/changelog ===
kde-runtime (4:4.8.4-2) unstable; urgency=low

  * The package rebuild will use xz compression (Closes: #688758).

  [ Pino Toscano ]
  * Backport upstream commit 9145b51c1cc4e9ecd273e8eb41de1bbcdd607e35 to not
    claim thumbnail support for the image/x-wmf and image/x-xfig mimetypes;
    patch upstream_Remove-image-x-wmf-and-image-x-xfig-from-image-thumb.patch.
  * Backport upstream commit d9234cca36319cb6895d4a7d36030a95923d1373 (from
    the nepomuk-core repository) to remove a spammy "FIXME" debug message;
    patch upstream_Remove-a-FIXME-debug-message.patch. (Closes: #677625)

  [ Lisandro Damián Nicanor Pérez meyer ]
  * Add myself to Uploaders.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 24 Oct 2012 17:33:47 -0300

kde-runtime (4:4.8.4-1) unstable; urgency=low

  * New upstream release.
  * Team upload.

  [ Modestas Vainius ]
  * Switch transitional kdebase-runtime to Priority: extra.

  [ Eshat Cakar ]
  * Add watch file.
  * Bump kde-sc-dev-latest build dependency to version 4:4.8.4.
  * Update installed files.

 -- Modestas Vainius <modax@debian.org>  Sat, 09 Jun 2012 15:23:03 +0300

kde-runtime (4:4.8.3-1) experimental; urgency=low

  * New upstream release.
  * Team upload.

  [ Eshat Cakar ]
  * Add libqca2-dev to build dependecies.
  * Update not-installed files.
  * Update installed files.
  * Bump kdelibs5-dev build dependency to version 4:4.8.
  * Bump kde-sc-dev-latest build dependency to version 4:4.8.3.
  * Bump Standards-Version to 3.9.3, no changes needed.

 -- Modestas Vainius <modax@debian.org>  Sat, 26 May 2012 19:53:12 +0300

=== debian/control ===
Source: kde-runtime
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
 Fathi Boudra <fabo@debian.org>,
 Modestas Vainius <modax@debian.org>,
 George Kiagiadakis <kiagiadakis.george@gmail.com>,
 José Manuel Santamaría Lema <panfaust@gmail.com>,
 Eshat Cakar <info@eshat.de>,
 Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
Build-Depends: kde-sc-dev-latest (>= 4:4.8.4),
 cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.8), libphonon-dev (>= 4:4.6.0really4.4.3), kdelibs5-plugins,
 libsmbclient-dev, libsoprano-dev (>= 2.6.50),
 libstreamanalyzer-dev (>= 0.6.3), libstrigiqtdbusclient-dev (>= 0.6.3),
 libopenexr-dev, libbz2-dev, libx11-dev, libxcursor-dev,
 libasound2-dev (>= 1.0.14a) [linux-any],
 libjpeg-dev, libslp-dev,
 liblzma-dev, libattica-dev (>= 0.1.4), libssh-dev (>= 0.4.0), libexiv2-dev (>= 0.12),
 libqca2-dev,shared-desktop-ontologies (>= 0.7),
 libntrack-qt4-dev [linux-any], libpulse-dev (>= 0.9.16), libcanberra-dev,
 libnm-util-dev (>= 0.7)  [linux-any], network-manager-dev (>= 0.7.0) [linux-any],
 libqtwebkit-dev, libqzeitgeist-dev
Standards-Version: 3.9.3
Homepage: http://www.kde.org/
Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kde-runtime.git
Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kde-runtime.git

Package: kde-runtime
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends},
 kde-runtime-data (>= ${source:Version}), ${sameVersionDep:kdelibs5-plugins:kde-runtime},
 oxygen-icon-theme (>= 4:4.6),
 shared-desktop-ontologies (>= 0.8), plasma-scriptengine-javascript (= ${binary:Version})
Recommends: virtuoso-minimal
Suggests: djvulibre-bin, icoutils, finger
Replaces: kdebase-runtime-bin-kde4,
 kdelibs5-plugins (<< 4:4.5), kdebase-workspace-bin (<< 4:4.6),
 kdebluetooth (<< 1.0~beta7-1), plasma-netbook (<< 4:4.5.95),
 kdebase-runtime (<< 4:4.7.2)
Breaks: kdebase-runtime-bin-kde4,
 kdelibs5-plugins (<< 4:4.5), kdebase-workspace-bin (<< 4:4.6),
 kdebluetooth (<< 1.0~beta7-1), plasma-netbook (<< 4:4.5.95),
 kdebase-runtime (<< 4:4.7.2)
Conflicts: kdelibs4-dev
Description: runtime components from the official KDE release
 KDE is produced by an international technology team that creates free and open
 source software for desktop and portable computing. Among KDE's products are a
 modern desktop system for Linux and UNIX platforms, comprehensive office
 productivity and groupware suites and hundreds of software titles in many
 categories including Internet and web applications, multimedia, entertainment,
 educational, graphics and software development.
 .
 This package contains programs and data needed at runtime by KDE applications.

Package: kdebase-runtime
Section: oldlibs
Priority: extra
Architecture: all
Depends: ${misc:Depends}, kde-runtime
Description: Transitional package for the KDE runtime components
 KDE is produced by an international technology team that creates free and open
 source software for desktop and portable computing. Among KDE's products are a
 modern desktop system for Linux and UNIX platforms, comprehensive office
 productivity and groupware suites and hundreds of software titles in many
 categories including Internet and web applications, multimedia, entertainment,
 educational, graphics and software development.
 .
 This transitional package takes care of pulling in the new kde-runtime package
 and can safely be removed after installation.

Package: kde-runtime-data
Architecture: all
Depends: ${perl:Depends}, ${misc:Depends}
Replaces: kdebase-bin-kde3, kcontrol, kdebase-kio-plugins, kdebase-runtime-data-common,
 kdelibs5-data (<< 4:4.5), kdebase-workspace-bin (<< 4:4.5.95), plasma-netbook (<< 4:4.5.95),
 plasma-widget-networkmanagement (<< 0.1+git20110422.810bc16-1+),
 kdebase-runtime-data (<< 4:4.7.2)
Breaks: kdebase-bin-kde3, kcontrol, kdebase-kio-plugins, kdebase-runtime-data-common,
 kdelibs5-data (<< 4:4.5), kdebase-workspace-bin (<< 4:4.5.95), plasma-netbook (<< 4:4.5.95),
 plasma-widget-networkmanagement (<< 0.1+git20110422.810bc16-1+),
 kdebase-runtime-data (<< 4:4.7.2)
Description: shared data files for the KDE base runtime module
 This package contains the architecture-independent shared data files needed to
 run KDE applications.
 .
 This package is part of the KDE base runtime module.

Package: khelpcenter4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: htdig
Replaces: khelpcenter
Breaks: khelpcenter
Description: help center
 The KDE Help Center displays documentation on how to use the KDE plasma
 workspaces and applications, as well as UNIX man and info pages.
 It can search through documentation using the 'htdig' package.
 .
 This package is part of the KDE base runtime module.

Package: plasma-scriptengine-javascript
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: JavaScript script engine for Plasma
 This package provides the JavaScript script engine for Plasma. You have to
 install it if you want to use Plasma widgets and data engines written in
 JavaScript.
 .
 This package is part of the KDE base runtime module.

Package: kde-runtime-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${misc:Depends}, kde-runtime (= ${binary:Version}), kdelibs5-dbg
Replaces: kdelibs5-dbg (<< 4:4.5), kdebase-workspace-dbg (<< 4:4.6),
 kdebase-runtime-dbg (<< 4:4.7.2)
Breaks: kdelibs5-dbg (<< 4:4.5), kdebase-workspace-dbg (<< 4:4.6),
 kdebase-runtime-dbg (<< 4:4.7.2)
Conflicts: kdelibs-dbg
Description: debugging symbols for KDE base runtime module
 This package contains the debugging symbols associated with kde-runtime.
 They will automatically be used by gdb for debugging kde-runtime related
 issues.

Package: kdebase-runtime-dbg
Section: oldlibs
Architecture: all
Priority: extra
Depends: ${misc:Depends}, kde-runtime-dbg
Description: transitional package for kde-runtime-dbg
 This is a dummy transitional package for kde-runtime-dbg and can be safely
 removed after the installation is complete.

## kde-runtime 4.8.5

=== debian/changelog ===
kde-runtime (4:4.8.5-0ubuntu0.3) precise-security; urgency=medium

  * SECURITY UPDATE: Insufficient Input Validation By IO Slaves and
    Webkit Part
   - Add upstream_CVE-2014-8600.diff to escape protocol twice: once
     for i18n, and once for HTML
   - https://www.kde.org/info/security/advisory-20141113-1.txt
   - CVE-2014-8600
   - LP: #1393479

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 20 Nov 2014 15:46:42 +0100

kde-runtime (4:4.8.5-0ubuntu0.2) precise; urgency=low

  * Add kubuntu_samba_password.diff from upstream fix LP: #1071453
    Dolphin doesn't store samba share password

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 11 Nov 2013 09:32:03 +0000

kde-runtime (4:4.8.5-0ubuntu0.1) precise-proposed; urgency=low

  * New upstream bugfix release (LP: #1047417)

 -- Scott Kitterman <scott@kitterman.com>  Fri, 07 Sep 2012 16:40:05 +0200

kde-runtime (4:4.8.4-0ubuntu0.1) precise-proposed; urgency=low

  * New upstream release (LP: #1007798)
    - add kcm_ssl docs to kde-runtime-data.install

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 23 Jun 2012 22:33:49 +0200

kde-runtime (4:4.8.3-0ubuntu0.1) precise-proposed; urgency=low

  * New upstream release (LP: #1002336)
    - New upstream symbols for libnepomukdatamanagement4

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 02 May 2012 17:33:19 +0530

=== debian/control ===
--- 
+++ 
@@ -1,48 +1,54 @@
 Source: kde-runtime
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Sune Vuorela <sune@debian.org>,
- Fathi Boudra <fabo@debian.org>,
- Modestas Vainius <modax@debian.org>,
- George Kiagiadakis <kiagiadakis.george@gmail.com>,
- José Manuel Santamaría Lema <panfaust@gmail.com>,
- Eshat Cakar <info@eshat.de>,
- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
-Build-Depends: kde-sc-dev-latest (>= 4:4.8.4),
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Sune Vuorela <sune@debian.org>, Fathi Boudra <fabo@debian.org>,
+ Armin Berres <armin+debian@space-based.de>, Modestas Vainius <modax@debian.org>, George Kiagiadakis <kiagiadakis.george@gmail.com>,
+ José Manuel Santamaría Lema <panfaust@gmail.com>
+Build-Depends: kde-sc-dev-latest (>= 4:4.8.5),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.8), libphonon-dev (>= 4:4.6.0really4.4.3), kdelibs5-plugins,
+ kdelibs5-dev (>= 4:4.8.1), libphonon-dev (>= 4:4.6.0really4.4.3), kdelibs5-plugins,
  libsmbclient-dev, libsoprano-dev (>= 2.6.50),
  libstreamanalyzer-dev (>= 0.6.3), libstrigiqtdbusclient-dev (>= 0.6.3),
  libopenexr-dev, libbz2-dev, libx11-dev, libxcursor-dev,
  libasound2-dev (>= 1.0.14a) [linux-any],
  libjpeg-dev, libslp-dev,
  liblzma-dev, libattica-dev (>= 0.1.4), libssh-dev (>= 0.4.0), libexiv2-dev (>= 0.12),
- libqca2-dev,shared-desktop-ontologies (>= 0.7),
+ shared-desktop-ontologies (>= 0.7),
  libntrack-qt4-dev [linux-any], libpulse-dev (>= 0.9.16), libcanberra-dev,
  libnm-util-dev (>= 0.7)  [linux-any], network-manager-dev (>= 0.7.0) [linux-any],
- libqtwebkit-dev, libqzeitgeist-dev
-Standards-Version: 3.9.3
+ libqtwebkit-dev, libqca2-dev, kdelibs5-experimental-dev
+Standards-Version: 3.9.2
 Homepage: http://www.kde.org/
-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kde-runtime.git
-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kde-runtime.git
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kde-runtime
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kde-runtime
+X-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kde-runtime.git
+X-Debian-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kde-runtime.git
 
 Package: kde-runtime
+Section: kde
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends},
  kde-runtime-data (>= ${source:Version}), ${sameVersionDep:kdelibs5-plugins:kde-runtime},
  oxygen-icon-theme (>= 4:4.6),
- shared-desktop-ontologies (>= 0.8), plasma-scriptengine-javascript (= ${binary:Version})
-Recommends: virtuoso-minimal
-Suggests: djvulibre-bin, icoutils, finger
+ shared-desktop-ontologies, plasma-scriptengine-javascript (= ${binary:Version})
+Recommends: udisks, upower, virtuoso-minimal,
+ kubuntu-debug-installer, icoutils,
+ libcanberra-pulse | libcanberra-gstreamer
+Suggests: djvulibre-bin, finger
 Replaces: kdebase-runtime-bin-kde4,
  kdelibs5-plugins (<< 4:4.5), kdebase-workspace-bin (<< 4:4.6),
  kdebluetooth (<< 1.0~beta7-1), plasma-netbook (<< 4:4.5.95),
- kdebase-runtime (<< 4:4.7.2)
+ kdelibs5 (<< 4:4.4.80), kdebase-runtime-data (<< 4:4.4.80),
+ plasma-scriptengine-declarative, plasma-scriptengine-javascript (<< 4:4.6.80),
+ kdebase-runtime (<< 4:4.6.80), nepomukcontroller
 Breaks: kdebase-runtime-bin-kde4,
  kdelibs5-plugins (<< 4:4.5), kdebase-workspace-bin (<< 4:4.6),
  kdebluetooth (<< 1.0~beta7-1), plasma-netbook (<< 4:4.5.95),
- kdebase-runtime (<< 4:4.7.2)
+ kdelibs5 (<< 4:4.4.80), kdebase-runtime-data (<< 4:4.4.80),
+ plasma-scriptengine-declarative, plasma-scriptengine-javascript (<< 4:4.6.80),
+ kdebase-runtime (<< 4:4.6.80), nepomukcontroller
 Conflicts: kdelibs4-dev
 Description: runtime components from the official KDE release
  KDE is produced by an international technology team that creates free and open
@@ -55,8 +61,7 @@
  This package contains programs and data needed at runtime by KDE applications.
 
 Package: kdebase-runtime
-Section: oldlibs
-Priority: extra
+Section: kde
 Architecture: all
 Depends: ${misc:Depends}, kde-runtime
 Description: Transitional package for the KDE runtime components
@@ -71,26 +76,70 @@
  and can safely be removed after installation.
 
 Package: kde-runtime-data
+Section: kde
 Architecture: all
 Depends: ${perl:Depends}, ${misc:Depends}
 Replaces: kdebase-bin-kde3, kcontrol, kdebase-kio-plugins, kdebase-runtime-data-common,
  kdelibs5-data (<< 4:4.5), kdebase-workspace-bin (<< 4:4.5.95), plasma-netbook (<< 4:4.5.95),
  plasma-widget-networkmanagement (<< 0.1+git20110422.810bc16-1+),
- kdebase-runtime-data (<< 4:4.7.2)
+ kdelibs5-dev (<< 4:4.5), plasma-scriptengine-declarative,
+ plasma-scriptengine-javascript (<< 4:4.6.80), kdebase-runtime (<< 4:4.6.80),
+ kdebase-runtime-data, nepomukcontroller
 Breaks: kdebase-bin-kde3, kcontrol, kdebase-kio-plugins, kdebase-runtime-data-common,
  kdelibs5-data (<< 4:4.5), kdebase-workspace-bin (<< 4:4.5.95), plasma-netbook (<< 4:4.5.95),
  plasma-widget-networkmanagement (<< 0.1+git20110422.810bc16-1+),
- kdebase-runtime-data (<< 4:4.7.2)
+ kdelibs5-dev (<< 4:4.5), plasma-scriptengine-declarative,
+ plasma-scriptengine-javascript (<< 4:4.6.80), kdebase-runtime (<< 4:4.6.80),
+ kdebase-runtime-data, nepomukcontroller
 Description: shared data files for the KDE base runtime module
  This package contains the architecture-independent shared data files needed to
  run KDE applications.
  .
  This package is part of the KDE base runtime module.
 
+Package: kde-runtime-dev
+Section: devel
+Architecture: any
+Depends: ${misc:Depends},
+ libnepomukdatamanagement4 (= ${binary:Version}),
+ libnepomuksync4 (= ${binary:Version}),
+ python,
+ python-kde4
+Breaks: kde-runtime (<< 4:4.8.1~)
+Replaces: kde-runtime (<< 4:4.8.1~)
+Description: Development files for Nepomuk
+ Development files for Nepomuk
+ .
+ This package is part of the KDE base runtime module.
+
+Package: libnepomukdatamanagement4
+Section: libs
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Description: Basic Nepomuk data manipulation interface
+ The Data Management API is the basic interface to manipulate data in Nepomuk.
+ It provides methods to add, remove, change properties, add and remove 
+ resources, merge resources, integrate blobs of information, and retrieve 
+ resources according to certain criteria
+ .
+ This package is part of the KDE base runtime module.
+
+Package: libnepomuksync4
+Section: libs
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Breaks: kde-runtime (<< 4:4.8.1~)
+Replaces: kde-runtime (<< 4:4.8.1~)
+Description: Nepomuk sync interface for the Backup and Sync service
+ The Nepomuk sync interface provides a convenient way to store and look up
+ Nepomuk resources.
+ .
+ This package is part of the KDE base runtime module.
+
 Package: khelpcenter4
+Section: kde
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Recommends: htdig
 Replaces: khelpcenter
 Breaks: khelpcenter
 Description: help center
@@ -100,7 +149,18 @@
  .
  This package is part of the KDE base runtime module.
 
+#Package: kde-config-phonon-xine
+#Section: kde
+#Architecture: any
+#Depends: ${shlibs:Depends}, ${misc:Depends}, ${xine-x:Depends}, ${xine-console:Depends}
+#Description: advanced Phonon Xine configuration
+# This package contains a configuration module for tweaking some of the more
+# advanced settings for Phonon's Xine backend.
+# .
+# This package is part of the KDE base runtime module.
+
 Package: plasma-scriptengine-javascript
+Section: kde
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: JavaScript script engine for Plasma
@@ -126,7 +186,7 @@
  issues.
 
 Package: kdebase-runtime-dbg
-Section: oldlibs
+Section: debug
 Architecture: all
 Priority: extra
 Depends: ${misc:Depends}, kde-runtime-dbg

## kde-runtime 4.9.2

=== debian/changelog ===
kde-runtime (4:4.9.2-0ubuntu1) quantal-proposed; urgency=low

  * New upstream bugfix release
  * Use 4.9.* on library versions

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 02 Oct 2012 15:13:55 +0100

kde-runtime (4:4.9.1-0ubuntu2) quantal; urgency=low

  * Rebuild against libattica0.4

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 13 Sep 2012 12:57:44 +0100

kde-runtime (4:4.9.1-0ubuntu1) quantal; urgency=low

  * New upstream release

 -- Harald Sitter <apachelogger@ubuntu.com>  Mon, 10 Sep 2012 18:27:22 +0530

kde-runtime (4:4.9.0-0ubuntu3) quantal; urgency=low

  * Update kubuntu_langpack_install.diff to use pkg_depends data from
    language-selector to select complete list of needed languages
  * kde-runtime depends on language-selector-common

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 17 Aug 2012 17:17:23 +0100

kde-runtime (4:4.9.0-0ubuntu2) quantal; urgency=low

  * Build-dep on kdelibs 4.9.0a, adjust .install files to new library
    version no

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 02 Aug 2012 11:57:51 +0100

kde-runtime (4:4.9.0-0ubuntu1) quantal; urgency=low

  * Use direct build-depends versions rather than kde-sc-dev-latest
  * Build-dep on nepomuk-core-dev (>= 4.9.0a)
  * Remove kubuntu_kactivities_cmake.diff now upstream

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 31 Jul 2012 10:30:17 +0100

kde-runtime (4:4.8.90-0ubuntu2) quantal; urgency=low

  * Add kubuntu_langpack_install.diff to install language packs from kcontrol
  * Build-dep on libqapt-dev

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 20 Jun 2012 14:15:49 +0100

kde-runtime (4:4.8.90-0ubuntu1) quantal; urgency=low

  [ Felix Geyer ]
  * New upstream beta release.

  [ Jonathan Riddell ]
  * Add kubuntu_kactivities_cmake.diff from upstream, fix detection of kactivities

 -- Felix Geyer <debfx@ubuntu.com>  Mon, 11 Jun 2012 22:08:34 +0200

kde-runtime (4:4.8.80-0ubuntu1) quantal; urgency=low

  * Merge with debian git, remaining changes: 
    - add kde-runtime.[postinst,prerm] for update-alternatives kdesu
    - debian/control:
      + Remove libqzeitgeist-dev build-dep, not in main
      + add udisks, upower, kubuntu-debug-installer, icoutils,
        libcanberra-pulse | libcanberra-gstreamer to kde-runtime recommends
      + keep Break/Replaces
      + add packages:
        - kde-runtime-dev
        - libnepomukdatamanagement4
        - libnepomuksync4
      + helpcenter4 no recommend on htdig
    - debian/patches:
      + remove kde4_information_menu.diff
      + add:
        - kubuntu_nodisplay_knetattach.diff
        - kubuntu_oxygenify_knetattach_icon.diff
        - kubuntu_phonon_forget_option.diff
        - kubuntu_strigi_ram_detection.diff
    - debian/kde-runtime-data.install:
      + change etc/xdg/menus/kde4-information.menu to
        etc/xdg/menus/kde-information.menu
      + change usr/share/desktop-directories/kde4-information.directory to
        usr/share/desktop-directories/kde-information.directory
      + Don't install
        usr/share/kde4/apps/kio_desktop/DesktopLinks/Home.desktop
      + Don't install usr/share/kde4/apps/kio_desktop/directory.trash
      + add D-Bus Interface XMLs for Playground Nepomuk
      + install plasma active QML components
    - debian/kde-runtime.install
      + install usr/lib/kde4/libexec/kdesu to
        /usr/lib/kde4/libexec/kdesu-distrib/
      + install 30-nepomuk-inotify-limit.conf to /etc/sysctl.d
    - drop libnepomukdatamanagement.so override from
      kde-runtime.lintian-overrides
    - add 30-nepomuk-inotify-limit.conf

  * New upstream beta release
    - drop libnepomuksync4 package, moved to nepomuk-core
    - drop obsolete libnepomukdatamanagement4 package
    - drop now empty kde-runtime-dev package, all files moved to
      nepomuk-core-dev
    - remove nepomuk files that were moved to nepomuk-core
    - make kde-runtime depend on nepomuk-core
    - drop now obsolete kubuntu_strigi_ram_detection.diff, moved to
      nepomuk-core
    - add nepomuk-core-dev, libkactivities-dev and kdepimlibs5-dev to
      build-depends
    - update kde-runtime.install and kde-runtime-data.install

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 03 Jun 2012 21:50:00 +0200

kde-runtime (4:4.8.3-0ubuntu1) quantal; urgency=low

  * New upstream release
    - New upstream symbols for libnepomukdatamanagement4

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 02 May 2012 17:33:19 +0530

kde-runtime (4:4.8.3-0r1) UNRELEASED; urgency=low

  * New upstream release.

  [ Eshat Cakar ]
  * Add libqca2-dev to build dependecies.
  * Update not-installed files.
  * Update installed files.
  * Bump kdelibs5-dev build dependency to version 4:4.8.
  * Bump kde-sc-dev-latest build dependency to version 4:4.8.3.
  * Bump Standards-Version to 3.9.3, no changes needed.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 08 Mar 2012 20:54:47 +0100

=== debian/control ===
--- 
+++ 
@@ -4,22 +4,22 @@
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <sune@debian.org>, Fathi Boudra <fabo@debian.org>,
- Armin Berres <armin+debian@space-based.de>, Modestas Vainius <modax@debian.org>, George Kiagiadakis <kiagiadakis.george@gmail.com>,
- José Manuel Santamaría Lema <panfaust@gmail.com>
-Build-Depends: kde-sc-dev-latest (>= 4:4.8.5),
+ Modestas Vainius <modax@debian.org>, George Kiagiadakis <kiagiadakis.george@gmail.com>,
+ José Manuel Santamaría Lema <panfaust@gmail.com>, Eshat Cakar <info@eshat.de>
+Build-Depends: 
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.8.1), libphonon-dev (>= 4:4.6.0really4.4.3), kdelibs5-plugins,
+ kdelibs5-dev (>= 4:4.9.2), libphonon-dev (>= 4:4.6.0really4.4.3), kdelibs5-plugins (>= 4:4.9.2),
  libsmbclient-dev, libsoprano-dev (>= 2.6.50),
  libstreamanalyzer-dev (>= 0.6.3), libstrigiqtdbusclient-dev (>= 0.6.3),
  libopenexr-dev, libbz2-dev, libx11-dev, libxcursor-dev,
  libasound2-dev (>= 1.0.14a) [linux-any],
  libjpeg-dev, libslp-dev,
- liblzma-dev, libattica-dev (>= 0.1.4), libssh-dev (>= 0.4.0), libexiv2-dev (>= 0.12),
- shared-desktop-ontologies (>= 0.7),
+ liblzma-dev, libattica-dev (>= 0.4.1), libssh-dev (>= 0.4.0), libexiv2-dev (>= 0.12),
+ libqca2-dev, shared-desktop-ontologies (>= 0.7),
  libntrack-qt4-dev [linux-any], libpulse-dev (>= 0.9.16), libcanberra-dev,
  libnm-util-dev (>= 0.7)  [linux-any], network-manager-dev (>= 0.7.0) [linux-any],
- libqtwebkit-dev, libqca2-dev, kdelibs5-experimental-dev
-Standards-Version: 3.9.2
+ libqtwebkit-dev, nepomuk-core-dev (>= 4:4.9.2), libkactivities-dev (>= 4:4.9.2), kdepimlibs5-dev, libqapt-dev
+Standards-Version: 3.9.3
 Homepage: http://www.kde.org/
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kde-runtime
 Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kde-runtime
@@ -27,12 +27,12 @@
 X-Debian-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kde-runtime.git
 
 Package: kde-runtime
-Section: kde
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends},
  kde-runtime-data (>= ${source:Version}), ${sameVersionDep:kdelibs5-plugins:kde-runtime},
- oxygen-icon-theme (>= 4:4.6),
- shared-desktop-ontologies, plasma-scriptengine-javascript (= ${binary:Version})
+ oxygen-icon-theme (>= 4:4.9.2), nepomuk-core,
+ shared-desktop-ontologies (>= 0.8), plasma-scriptengine-javascript (= ${binary:Version}),
+ language-selector-common
 Recommends: udisks, upower, virtuoso-minimal,
  kubuntu-debug-installer, icoutils,
  libcanberra-pulse | libcanberra-gstreamer
@@ -61,7 +61,7 @@
  This package contains programs and data needed at runtime by KDE applications.
 
 Package: kdebase-runtime
-Section: kde
+Section: oldlibs
 Architecture: all
 Depends: ${misc:Depends}, kde-runtime
 Description: Transitional package for the KDE runtime components
@@ -76,7 +76,6 @@
  and can safely be removed after installation.
 
 Package: kde-runtime-data
-Section: kde
 Architecture: all
 Depends: ${perl:Depends}, ${misc:Depends}
 Replaces: kdebase-bin-kde3, kcontrol, kdebase-kio-plugins, kdebase-runtime-data-common,
@@ -84,60 +83,20 @@
  plasma-widget-networkmanagement (<< 0.1+git20110422.810bc16-1+),
  kdelibs5-dev (<< 4:4.5), plasma-scriptengine-declarative,
  plasma-scriptengine-javascript (<< 4:4.6.80), kdebase-runtime (<< 4:4.6.80),
- kdebase-runtime-data, nepomukcontroller
+ kdebase-runtime-data, nepomukcontroller, kde-runtime (<< 4:4.8.80)
 Breaks: kdebase-bin-kde3, kcontrol, kdebase-kio-plugins, kdebase-runtime-data-common,
  kdelibs5-data (<< 4:4.5), kdebase-workspace-bin (<< 4:4.5.95), plasma-netbook (<< 4:4.5.95),
  plasma-widget-networkmanagement (<< 0.1+git20110422.810bc16-1+),
  kdelibs5-dev (<< 4:4.5), plasma-scriptengine-declarative,
  plasma-scriptengine-javascript (<< 4:4.6.80), kdebase-runtime (<< 4:4.6.80),
- kdebase-runtime-data, nepomukcontroller
+ kdebase-runtime-data, nepomukcontroller, kde-runtime (<< 4:4.8.80)
 Description: shared data files for the KDE base runtime module
  This package contains the architecture-independent shared data files needed to
  run KDE applications.
  .
  This package is part of the KDE base runtime module.
 
-Package: kde-runtime-dev
-Section: devel
-Architecture: any
-Depends: ${misc:Depends},
- libnepomukdatamanagement4 (= ${binary:Version}),
- libnepomuksync4 (= ${binary:Version}),
- python,
- python-kde4
-Breaks: kde-runtime (<< 4:4.8.1~)
-Replaces: kde-runtime (<< 4:4.8.1~)
-Description: Development files for Nepomuk
- Development files for Nepomuk
- .
- This package is part of the KDE base runtime module.
-
-Package: libnepomukdatamanagement4
-Section: libs
-Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Description: Basic Nepomuk data manipulation interface
- The Data Management API is the basic interface to manipulate data in Nepomuk.
- It provides methods to add, remove, change properties, add and remove 
- resources, merge resources, integrate blobs of information, and retrieve 
- resources according to certain criteria
- .
- This package is part of the KDE base runtime module.
-
-Package: libnepomuksync4
-Section: libs
-Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Breaks: kde-runtime (<< 4:4.8.1~)
-Replaces: kde-runtime (<< 4:4.8.1~)
-Description: Nepomuk sync interface for the Backup and Sync service
- The Nepomuk sync interface provides a convenient way to store and look up
- Nepomuk resources.
- .
- This package is part of the KDE base runtime module.
-
 Package: khelpcenter4
-Section: kde
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Replaces: khelpcenter
@@ -149,18 +108,7 @@
  .
  This package is part of the KDE base runtime module.
 
-#Package: kde-config-phonon-xine
-#Section: kde
-#Architecture: any
-#Depends: ${shlibs:Depends}, ${misc:Depends}, ${xine-x:Depends}, ${xine-console:Depends}
-#Description: advanced Phonon Xine configuration
-# This package contains a configuration module for tweaking some of the more
-# advanced settings for Phonon's Xine backend.
-# .
-# This package is part of the KDE base runtime module.
-
 Package: plasma-scriptengine-javascript
-Section: kde
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: JavaScript script engine for Plasma
@@ -186,7 +134,7 @@
  issues.
 
 Package: kdebase-runtime-dbg
-Section: debug
+Section: oldlibs
 Architecture: all
 Priority: extra
 Depends: ${misc:Depends}, kde-runtime-dbg

## kde-runtime 4.9.4

=== debian/changelog ===
kde-runtime (4:4.9.4-0ubuntu0.1) quantal; urgency=low

  * New upstream bugfix release (LP: #1085516)

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 02 Dec 2012 00:46:02 +0100

kde-runtime (4:4.9.3-0ubuntu0.1) quantal-proposed; urgency=low

  * New upstream release (LP: #1074747)

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 29 Nov 2012 23:33:00 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  José Manuel Santamaría Lema <panfaust@gmail.com>, Eshat Cakar <info@eshat.de>
 Build-Depends: 
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.9.2), libphonon-dev (>= 4:4.6.0really4.4.3), kdelibs5-plugins (>= 4:4.9.2),
+ kdelibs5-dev (>= 4:4.9.4), libphonon-dev (>= 4:4.6.0really4.4.3), kdelibs5-plugins (>= 4:4.9.2),
  libsmbclient-dev, libsoprano-dev (>= 2.6.50),
  libstreamanalyzer-dev (>= 0.6.3), libstrigiqtdbusclient-dev (>= 0.6.3),
  libopenexr-dev, libbz2-dev, libx11-dev, libxcursor-dev,
@@ -18,7 +18,7 @@
  libqca2-dev, shared-desktop-ontologies (>= 0.7),
  libntrack-qt4-dev [linux-any], libpulse-dev (>= 0.9.16), libcanberra-dev,
  libnm-util-dev (>= 0.7)  [linux-any], network-manager-dev (>= 0.7.0) [linux-any],
- libqtwebkit-dev, nepomuk-core-dev (>= 4:4.9.2), libkactivities-dev (>= 4:4.9.2), kdepimlibs5-dev, libqapt-dev
+ libqtwebkit-dev, nepomuk-core-dev (>= 4:4.9.4), libkactivities-dev (>= 4:4.9.4), kdepimlibs5-dev, libqapt-dev
 Standards-Version: 3.9.3
 Homepage: http://www.kde.org/
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kde-runtime

## kde-runtime 4.9.5

=== plasma/scriptengines/javascript/CMakeLists.txt ===
# APPLET

if(KDE_PLATFORM_FEATURE_BINARY_COMPATIBLE_FEATURE_REDUCTION)
    set(PLASMA_NO_KDEWEBKIT TRUE)
    set(PLASMA_NO_KNEWSTUFF TRUE)
    set(PLASMA_NO_SOLID TRUE)
    set(PLASMA_NO_KIO TRUE)
endif(KDE_PLATFORM_FEATURE_BINARY_COMPATIBLE_FEATURE_REDUCTION)

set(simple_javascript_engine_SRCS
    common/extension_launchapp.cpp
    common/extension_io.cpp
    common/guiscriptenv.cpp
    common/javascriptaddonpackagestructure.cpp
    plasmoid/abstractjsappletscript.cpp
    plasmoid/appletauthorization.cpp
    plasmoid/jsappletinterface.cpp
    plasmoid/simplejavascriptapplet.cpp
    plasmoid/themedsvg.cpp
    simplebindings/animationgroup.cpp
    simplebindings/anchorlayout.cpp
    simplebindings/dataenginereceiver.cpp
    simplebindings/bytearrayclass.cpp
    simplebindings/bytearrayprototype.cpp
    simplebindings/color.cpp
    simplebindings/dataengine.cpp
    simplebindings/easingcurve.cpp
    simplebindings/font.cpp
    simplebindings/filedialogproxy.cpp
    simplebindings/graphicsitem.cpp
    simplebindings/icon.cpp
    simplebindings/i18n.cpp
    simplebindings/linearlayout.cpp
    simplebindings/gridlayout.cpp
    simplebindings/painter.cpp
    simplebindings/pen.cpp
    simplebindings/pixmap.cpp
    simplebindings/point.cpp
    simplebindings/rect.cpp
    simplebindings/qscriptbookkeeping.cpp
    simplebindings/size.cpp
    simplebindings/sizepolicy.cpp
    simplebindings/timer.cpp
    simplebindings/uiloader.cpp
    simplebindings/url.cpp
)

include_directories(${PHONON_INCLUDES} ${CMAKE_CURRENT_SOURCE_DIR}/common)

kde4_add_plugin(plasma_appletscript_simple_javascript ${simple_javascript_engine_SRCS})

target_link_libraries(plasma_appletscript_simple_javascript
                       ${KDE4_KDECORE_LIBS}
                       ${KDE4_KIO_LIBS}
                       ${KDE4_PLASMA_LIBS}
                       ${QT_QTSCRIPT_LIBRARY}
                       ${QT_QTUITOOLS_LIBRARY}
                       ${QT_QTXML_LIBRARY}
                       )

install(TARGETS plasma_appletscript_simple_javascript DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES data/plasma-scriptengine-applet-simple-javascript.desktop DESTINATION ${SERVICES_INSTALL_DIR} )

# RUNNER

set(javascript_runner_engine_SRCS
    common/extension_launchapp.cpp
    common/extension_io.cpp
    common/javascriptaddonpackagestructure.cpp
    common/scriptenv.cpp
    runner/javascriptrunner.cpp
    simplebindings/i18n.cpp
)

kde4_add_plugin(plasma_runnerscript_javascript ${javascript_runner_engine_SRCS})

target_link_libraries(plasma_runnerscript_javascript
                      ${KDE4_KDECORE_LIBS}
                      ${KDE4_KIO_LIBS}
                      ${KDE4_PLASMA_LIBS}
                      ${QT_QTSCRIPT_LIBRARY})

install(TARGETS plasma_runnerscript_javascript DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES data/plasma-scriptengine-runner-javascript.desktop DESTINATION ${SERVICES_INSTALL_DIR})


# DATAENGINE

set(javascript_dataengine_engine_SRCS
    common/extension_launchapp.cpp
    common/extension_io.cpp
    common/javascriptaddonpackagestructure.cpp
    common/scriptenv.cpp
    dataengine/javascriptdataengine.cpp
    dataengine/javascriptservice.cpp
    simplebindings/dataengine.cpp
    simplebindings/i18n.cpp
    simplebindings/qscriptnonguibookkeeping.cpp
)
kde4_add_plugin(plasma_dataenginescript_javascript ${javascript_dataengine_engine_SRCS})

target_link_libraries(plasma_dataenginescript_javascript
                      ${KDE4_KDECORE_LIBS}
                      ${KDE4_KIO_LIBS}
                      ${KDE4_PLASMA_LIBS}
                      ${QT_QTSCRIPT_LIBRARY})

install(TARGETS plasma_dataenginescript_javascript DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES data/plasma-scriptengine-dataengine-javascript.desktop DESTINATION ${SERVICES_INSTALL_DIR})

# ADDONS

set(javascript_addon_packagestructure_SRCS
    common/addonpackageplugin.cpp
    common/javascriptaddonpackagestructure.cpp
)

kde4_add_plugin(plasma_packagestructure_javascriptaddon ${javascript_addon_packagestructure_SRCS})
target_link_libraries(plasma_packagestructure_javascriptaddon ${KDE4_PLASMA_LIBS})

install(TARGETS plasma_packagestructure_javascriptaddon DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES data/plasma-packagestructure-javascript-addon.desktop DESTINATION ${SERVICES_INSTALL_DIR})

install(FILES data/plasma-javascriptaddon.desktop DESTINATION ${SERVICETYPES_INSTALL_DIR})

#DECLARATIVE APPLET
set(declarative_appletscript_SRCS
    common/extension_launchapp.cpp
    common/extension_io.cpp
    common/javascriptaddonpackagestructure.cpp
    common/declarativescriptenv.cpp
    declarative/declarativeitemcontainer.cpp
    declarative/packageaccessmanager.cpp
    declarative/packageaccessmanagerfactory.cpp
    plasmoid/abstractjsappletscript.cpp
    plasmoid/appletauthorization.cpp
    plasmoid/appletinterface.cpp
    plasmoid/declarativeappletscript.cpp
    plasmoid/themedsvg.cpp
    simplebindings/bytearrayclass.cpp
    simplebindings/bytearrayprototype.cpp
    simplebindings/dataengine.cpp
    simplebindings/dataenginereceiver.cpp
    simplebindings/filedialogproxy.cpp
    simplebindings/qscriptbookkeeping.cpp
    simplebindings/url.cpp
    simplebindings/point.cpp
    )

include_directories(${PHONON_INCLUDES} ${CMAKE_CURRENT_SOURCE_DIR}/common)

kde4_add_plugin(plasma_appletscript_declarative ${declarative_appletscript_SRCS})
target_link_libraries(plasma_appletscript_declarative
    ${KDE4_PLASMA_LIBS}
    ${KDE4_KIO_LIBS}
    ${QT_QTSCRIPT_LIBRARY}
    ${QT_QTDECLARATIVE_LIBRARY}
    ${QT_QTUITOOLS_LIBRARY}

)


install(TARGETS plasma_appletscript_declarative DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES data/plasma-scriptengine-applet-declarative.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== debian/changelog ===
kde-runtime (4:4.9.5-0ubuntu0.1) quantal; urgency=low

  * New upstream bugfix release (LP: #1094523)

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 30 Dec 2012 21:22:57 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  José Manuel Santamaría Lema <panfaust@gmail.com>, Eshat Cakar <info@eshat.de>
 Build-Depends: 
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.9.4), libphonon-dev (>= 4:4.6.0really4.4.3), kdelibs5-plugins (>= 4:4.9.2),
+ kdelibs5-dev (>= 4:4.9.5), libphonon-dev (>= 4:4.6.0really4.4.3), kdelibs5-plugins (>= 4:4.9.2),
  libsmbclient-dev, libsoprano-dev (>= 2.6.50),
  libstreamanalyzer-dev (>= 0.6.3), libstrigiqtdbusclient-dev (>= 0.6.3),
  libopenexr-dev, libbz2-dev, libx11-dev, libxcursor-dev,
